=== src/external/dde-shell-plugins/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

add_subdirectory(panel-desktop)
