=== debian/changelog ===
dde-file-manager (6.5.50) unstable; urgency=medium

  * fix bugs

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Wed, 14 May 2025 16:41:55 +0800

dde-file-manager (6.5.49) unstable; urgency=medium

  * fix bugs

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 08 May 2025 20:06:43 +0800

dde-file-manager (6.5.48) unstable; urgency=medium

  * fix bugs

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Tue, 29 Apr 2025 17:39:55 +0800

dde-file-manager (6.5.47) unstable; urgency=medium

  * fix bugs

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 24 Apr 2025 19:18:14 +0800

dde-file-manager (6.5.46) unstable; urgency=medium

  * fix bugs

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 17 Apr 2025 13:12:52 +0800

dde-file-manager (6.5.45) unstable; urgency=medium

 * fix bugs

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 10 Apr 2025 19:50:17 +0800

dde-file-manager (6.5.44) unstable; urgency=medium

  * fix bugs

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Wed, 02 Apr 2025 15:53:07 +0800

dde-file-manager (6.5.43) unstable; urgency=medium

  * Feature additions (view mode switching, FileStatisticsJob)
  * UI fixes (dialog buttons, password input, element dimensions)
  * Performance improvements (memory management, text indexing)
  * Code refactoring (URL validation, file checks)
  * Localization updates (multiple translations)
  * Core improvements (MIME initialization, URL handling) 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 27 Mar 2025 14:13:23 +0800

dde-file-manager (6.5.42) unstable; urgency=medium

  * fix bugs 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 21 Mar 2025 15:24:59 +0800

dde-file-manager (6.5.41) unstable; urgency=medium

  * fix bugs 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 20 Mar 2025 21:20:03 +0800

dde-file-manager (6.5.40) unstable; urgency=medium

  * Enhance URL determination, fix UI errors, improve file operations, update translations, and implement features like mount point normalization, drag-and-drop enhancements, and file copy synchronization with range support, alongside various UI and localization improvements. 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 20 Mar 2025 19:10:05 +0800

dde-file-manager (6.5.39) unstable; urgency=medium

  * Prevent UI flickering during sidebar expansion, improve Unicode sorting in file comparison, simplify file info creation and speedtimer management, ensure proper initialization, and replace abort() with Q_ASSERT_X for plugin loading failures. 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Wed, 12 Mar 2025 20:26:26 +0800

dde-file-manager (6.5.38) unstable; urgency=medium

  * fix bug

 -- Zhang Sheng <zhangsheng@uniontech.com>  Tue, 11 Mar 2025 18:54:03 +0800

dde-file-manager (6.5.37) unstable; urgency=medium

  * Optimize file dialog and fix issues including extension search, directory size display, font handling, tag widget behavior, partition access, icon rendering, and sorting enhancements with full-width character and directory support.

 -- Zhang Sheng <zhangsheng@uniontech.com>  Tue, 11 Mar 2025 14:27:12 +0800

dde-file-manager (6.5.36) unstable; urgency=medium

  * Enhance translation support in dde-file-manager and introduce Qt6 plugin version compatibility checks.

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 07 Mar 2025 14:31:42 +0800

dde-file-manager (6.5.35) unstable; urgency=medium

  * This update addresses multiple issues including encryption/decryption processes, device mounting, UI improvements, error handling, and permission checks, introduces features like crypttab header support and blur effects, and migrates from Qt5 to Qt6. 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 06 Mar 2025 20:41:48 +0800

dde-file-manager (6.5.34) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 28 Feb 2025 17:33:52 +0800

dde-file-manager (6.5.33) unstable; urgency=medium

  * revert a commit for CI

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 21 Feb 2025 17:40:35 +0800

dde-file-manager (6.5.32) unstable; urgency=medium

  * fix bugs 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 21 Feb 2025 15:53:18 +0800

dde-file-manager (6.5.31) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 20 Feb 2025 21:24:09 +0800

dde-file-manager (6.5.30) unstable; urgency=medium

  * fix: Resolved the issue where the prompt message was incomplete during the first SFTP access
  * feat: Add slider configuration with custom value list
  * fix: the frontend logic of decrypt device.
  * refactor: Improve sidebar item validation and drag-and-drop handling
  * fix: Disable titlebar menu for file dialog and improve window handling
  * fix: Fixed the issue of failing to rename multiple files simultaneously
  * feat: refact the encrypt backend
  * fix: Fixed the issue where changing the password only responded the first time

 -- Zhang Sheng <zhangsheng@uniontech.com>  Sat, 15 Feb 2025 15:30:10 +0800

dde-file-manager (6.5.29) unstable; urgency=medium

  * fix: random event registration failure due to plugin startup order
  * chore: remove redunant comments
  * fix: icon scaling and improve performance in item delegates
  * fix: Resolve display issue with Close All button in property dialog for multiple directory selection.
  * fix: sort "send-to-bluetooth" option in canvas menu
  * feat: add tooltip for multi-line display in property dialog
  * fix: update path handling in isMptOfDevice method
  * fix: Modify the history record logic of the address bar connecting to the remote file server.
  * fix: Fixed the issue of not entering the username and password during mount, and directly closing the authentication window, prompting for incorrect information.
  * fix: improve drag and drop permission checks
  * fix: add conditional compilation for window and file plugins
  * fix: ensure file info attributes are properly retrieved
  * fix: improve icon cache refresh mechanism
  * feat: Impl OpenFiles extension

